#include <iostream>
#include <cmath>

using namespace std;

int get_defenition(double coefficients[3], double x1, double x2, double constant){
    double G_linear_expression = coefficients[2] + coefficients[1] * x1 + coefficients[0] * x2;

    return G_linear_expression < constant ? 0 : 1;
}

char defenition_class(double x1, double x2){
    char result_class = '0';

    double AB_coefficients[3] = {0.010952713117589, -0.040892887947431, 2.14392444421283};
    double AC_coefficients[3] = {0.075390119230278, 0.022640116801489, -3.68327143040671};
    double BC_coefficients[3] = {0.023532512527987, 0.059177700657227, -2.62953475259866};

    double AB_const = 0.5;
    double AC_const = 0.995257956635296;
    double BC_const = 1.5;

    int AB;
    int AC;
    int BC;

    AB = get_defenition(AB_coefficients, x1, x2, AB_const);
    AC = get_defenition(AC_coefficients, x1, x2, AC_const);
    BC = get_defenition(BC_coefficients, x1, x2, BC_const);

    if (AB == 0 && AC == 0){
        result_class = 'A';
    }
    
    if (AB == 1 && BC == 0){
        result_class = 'B';
    }

    if (AC == 1 && BC == 1){
        result_class = 'C';
    }

    return result_class;
}

int main(){
    double x1, x2;
    char result_class;

    cin >> x1;
    cin >> x2;

    result_class = defenition_class(x1, x2);

    cout << endl << "Object's class: " << result_class << endl;

    return 0;
}